ceph pg dump <{summary|sum|delta|pools|osds|pgs|pgs_brief}> only work correctly as json
Description

When ceph pg dump is ran with an argument without specifying json, The normal output from ceph pg dump is returned.

ubuntu@burnupi02:~/bug$ ceph pg dump pgs_brief > pg_dump_brief_plain

dumped pgs_brief in format plain

ubuntu@burnupi02:~/bug$ ceph pg dump pgs > pg_dump_pgs_plain

dumped pgs in format plain

ubuntu@burnupi02:~/bug$ ceph pg dump osds > pg_dump_osds_plain

dumped osds in format plain

ubuntu@burnupi02:~/bug$ ceph pg dump pools > pg_dump_pools_plain

dumped pools in format plain

ubuntu@burnupi02:~/bug$ ceph pg dump delta > pg_dump_delta_plain

dumped delta in format plain

ubuntu@burnupi02:~/bug$ ceph pg dump sum > pg_dump_sum_plain

dumped sum in format plain

ubuntu@burnupi02:~/bug$ ceph pg dump summary > pg_dump_summary_plain

dumped summary in format plain

ubuntu@burnupi02:~/bug$ ls -la

total 6056

drwxrwxr-x  2 ubuntu ubuntu   4096 Jul 24 12:14 .

drwxr-xr-x 30 ubuntu ubuntu   4096 Jul 24 12:12 ..

-rw-rw-r--  1 ubuntu ubuntu 773741 Jul 24 12:13 pg_dump_brief_plain

-rw-rw-r--  1 ubuntu ubuntu 773741 Jul 24 12:13 pg_dump_delta_plain

-rw-rw-r--  1 ubuntu ubuntu 773741 Jul 24 12:13 pg_dump_osds_plain

-rw-rw-r--  1 ubuntu ubuntu 773741 Jul 24 12:13 pg_dump_pgs_plain

-rw-rw-r--  1 ubuntu ubuntu 773741 Jul 24 12:12 pg_dump_plain

-rw-rw-r--  1 ubuntu ubuntu 773741 Jul 24 12:13 pg_dump_pools_plain

-rw-rw-r--  1 ubuntu ubuntu 773741 Jul 24 12:14 pg_dump_summary_plain

-rw-rw-r--  1 ubuntu ubuntu 773741 Jul 24 12:14 pg_dump_sum_plain

 

ubuntu@burnupi02:~/bug$ ceph pg dump pgs_brief --format=json > pg_dump_brief_json

dumped pgs_brief in format json

ubuntu@burnupi02:~/bug$ ceph pg dump pgs --format=json > pg_dump_pgs_json

dumped pgs in format json

ubuntu@burnupi02:~/bug$ ceph pg dump osds --format=json > pg_dump_osds_json

dumped osds in format json

ubuntu@burnupi02:~/bug$ ceph pg dump pools --format=json > pg_dump_pools_json

dumped pools in format json

ubuntu@burnupi02:~/bug$ ceph pg dump delta --format=json > pg_dump_delta_json

dumped delta in format json
ubuntu@burnupi02:~/bug$ ceph pg dump sum --format=json > pg_dump_sum_json

dumped sum in format json

ubuntu@burnupi02:~/bug$ ceph pg dump summary --format=json > pg_dump_summary_json

dumped summary in format json

ubuntu@burnupi02:~/bug$ ls -l

total 12452

-rw-rw-r-- 1 ubuntu ubuntu  481865 Jul 24 12:15 pg_dump_brief_json

-rw-rw-r-- 1 ubuntu ubuntu  773741 Jul 24 12:13 pg_dump_brief_plain

-rw-rw-r-- 1 ubuntu ubuntu     546 Jul 24 12:15 pg_dump_delta_json

-rw-rw-r-- 1 ubuntu ubuntu  773741 Jul 24 12:13 pg_dump_delta_plain

-rw-rw-r-- 1 ubuntu ubuntu    5896 Jul 24 12:15 pg_dump_osds_json

-rw-rw-r-- 1 ubuntu ubuntu  773741 Jul 24 12:13 pg_dump_osds_plain

-rw-rw-r-- 1 ubuntu ubuntu 6041064 Jul 24 12:15 pg_dump_pgs_json

-rw-rw-r-- 1 ubuntu ubuntu  773741 Jul 24 12:13 pg_dump_pgs_plain

-rw-rw-r-- 1 ubuntu ubuntu  773741 Jul 24 12:12 pg_dump_plain

-rw-rw-r-- 1 ubuntu ubuntu   10108 Jul 24 12:15 pg_dump_pools_json

-rw-rw-r-- 1 ubuntu ubuntu  773741 Jul 24 12:13 pg_dump_pools_plain

-rw-rw-r-- 1 ubuntu ubuntu    1578 Jul 24 12:15 pg_dump_sum_json

-rw-rw-r-- 1 ubuntu ubuntu    1578 Jul 24 12:16 pg_dump_summary_json

-rw-rw-r-- 1 ubuntu ubuntu  773741 Jul 24 12:14 pg_dump_summary_plain

-rw-rw-r-- 1 ubuntu ubuntu  773741 Jul 24 12:14 pg_dump_sum_plain

History

#1 - 07/24/2014 12:18 PM - Tyler Brekke

Source: ZD #1671

#2 - 07/29/2014 09:34 AM - Sage Weil

- Project changed from rgw to Ceph

- Status changed from New to Won't Fix
